> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new visit type

> Operacion: Create a new visit type.



## OpenAPI

````yaml /generated/specs/operations.json post /api/v1/visit_type
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/visit_type:
    post:
      tags:
        - Visit Types
      summary: Create a new visit type
      description: 'Operacion: Create a new visit type.'
      operationId: VisitTypeController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateVisitTypeDto'
      responses:
        '201':
          description: Visit type created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VisitTypeResponseDto'
      security:
        - bearerAuth: []
components:
  schemas:
    CreateVisitTypeDto:
      type: object
      properties:
        visit_type_name:
          type: string
          description: Visit type name
        visit_category_type_id:
          type: number
          description: Visit category type ID
      required:
        - visit_type_name
    VisitTypeResponseDto:
      type: object
      properties:
        visit_type_id:
          type: number
          description: Visit type ID
        visit_type_name:
          type: string
          description: Visit type name
        visit_category_type_id:
          type: object
          description: Visit category type ID
        created_at:
          type: object
          description: Created at
        updated_at:
          type: object
          description: Updated at
      required:
        - visit_type_id
        - visit_type_name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````